<?php
declare(strict_types=1);

namespace Inti\Provider;

use Inti\Provider\Query\QueryInterface;
use Inti\Provider\Type\TypeInterface;

/**
 * Interface ProviderInterface
 *
 * @package Inti\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-provider
 */
interface ProviderInterface extends QueryInterface
{
    public function getProvidedType(): TypeInterface;
}
